## hexer 0.1.4c

=== Makefile ===
#  Makefile for hexer version 0.1.4c

#  It might be helpful to read the `README'-file first.

#  -- Where? --
#  The following lines determine where the binaries and manual pages for
#  hexer are gonna live.
PREFIX = /usr/local
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/man/man1

#  -- Which terminal library? --
#  (It's probably save to leave the following lines unchanged.)
#
#  Use the following two lines, if you want to use the termcap-library.
TERMLIB =
TERMCAP = -ltermcap -lm
#
#  Uncomment these if you want to use curses.
#TERMLIB =
#TERMCAP = -lcurses
#
#  Uncomment the following two lines if you want to use the termlib code
#  supplied with the package (not recommended).
#TERMLIB = termlib.o
#TERMCAP =

#  If you want to add some system specific defines, it's probably more
#  appropriate to put them into `config.h'.
DEFINES = -DHEXER_VERSION=\"0.1.4c\"

#  -- Which compiler? --
CC = cc
CFLAGS = -O $(DEFINES)
LDFLAGS =
LDLIBS = $(TERMCAP)
#
#  Uncomment the following lines if you want to use the GNU compiler.
#CC = gcc
#CFLAGS = -O6 $(DEFINES)
#LDFALGS =
#LDLIBS = $(TERMCAP)

#  -- Which installer? --
INSTALL = install
INSTALLBIN = $(INSTALL) -s
INSTALLMAN = $(INSTALL) -m 644
#
#  Uncomment these if you don't have an installer.
#INSTALL = cp
#INSTALLBIN = $(INSTALL)
#INSTALLMAN = $(INSTALL)

###  It shouldn't be necessary to change anything below this line.

HEXER = hexer
MYC = myc

CTAGS = ctags -tawf tags

OBJECTS = buffer.o tio.o edit.o main.o hexer.o readline.o regex.o port.o \
          exh.o set.o map.o signal.o util.o commands.o helptext.o calc.o \
	  $(TERMLIB)

all: config.check $(HEXER)

config.check:
	@{  if [ ! -f config.h ]; then \
	      echo '***' Please read the file README on how to configure and; \
	      echo '***' compile hexer.\  Thank you.; \
	      exit 1; \
	    fi; }

$(HEXER): $(OBJECTS)
	$(CC) $(LDFLAGS) -o $@ $(OBJECTS) $(LDLIBS)

$(MYC): calc.c
	$(CC) $(LDFLAGS) $(CFLAGS) -DMYCALC=1 -o $@ calc.c -lm

bin2c: bin2c.c
	$(CC) -o $@ bin2c.c

helptext.c: help.txt bin2c
	./bin2c -n helptext -o $@ help.txt

tags: *.c *.h
	-@{ \
	  echo Creating tags...; \
	  rm -f tags; \
	  for i in *.c *.h; do \
            echo $(CTAGS) $$i; \
	    $(CTAGS) $$i; \
	  done; \
	}

dep: depend

depend: *.c *.h
	-rm -f Makefile~
	sed '/\#\#\# DO NOT DELETE THIS LINE \#\#\#/q' \
	  < Makefile > Makefile~
	-echo >> Makefile~
	-echo '#' Dependencies: >> Makefile~
	-echo >> Makefile~
	@{ for i in *.c; do \
	      echo $(CC) -MM $(CINCLUDE) $(CFLAGS) $$i '>>' Makefile~; \
	      $(CC) -MM $(CINCLUDE) $(CFLAGS) $$i >> Makefile~; \
	    done; }
	-echo >> Makefile~
	mv -f Makefile~ Makefile
	-touch depend

clean:
	-rm -f $(HEXER)
	-rm -f $(MYC)
	-rm -f TESTFILE
	-rm -f gen_testfile
	-rm -f $(OBJECTS)
	-rm -f tags
	-rm -f core
	-rm -f *.bak

distclean: clean
	-rm -f Makefile~
	sed '/\#\#\# DO NOT DELETE THIS LINE \#\#\#/q' \
	  < Makefile > Makefile~
	-echo >> Makefile~
	mv -f Makefile~ Makefile
	-rm -f depend

install: all
	@{  echo installing $(HEXER) in $(BINDIR); \
	    $(INSTALLBIN) $(HEXER) $(BINDIR); \
	    echo installing $(HEXER).1 in $(MANDIR); \
	    $(INSTALLMAN) $(HEXER).1 $(MANDIR); \
	    if [ -f $(MYC) ]; then \
	      echo installing $(MYC) in $(BINDIR); \
	      $(INSTALLBIN) $(MYC) $(BINDIR); \
	      echo installing $(MYC).1 in $(MANDIR); \
	      $(INSTALLMAN) $(MYC).1 $(MANDIR); \
	    fi; }


### DO NOT DELETE THIS LINE ###

## hexer 0.1.5

=== Makefile ===
#  Makefile for hexer version 0.1.5

#  Copyright (c) 1995,1996 Sascha Demetrio
#  Copyright (c) 2009 Peter Pentchev

#  It might be helpful to read the `README'-file first.

#  -- Where? --
#  The following lines determine where the binaries and manual pages for
#  hexer are gonna live.
PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/man/man1

#  -- Which terminal library? --
#  (It's probably save to leave the following lines unchanged.)
#
#  Use the following two lines, if you want to use the termcap-library.
#LTERMLIB ?=
#LTERMCAP ?= -ltermcap
#
#  Uncomment these if you want to use curses.
LTERMLIB ?=
LTERMCAP ?= -lcurses
#
#  Uncomment the following two lines if you want to use the termlib code
#  supplied with the package (not recommended).
#LTERMLIB = termlib.o
#LTERMCAP =

#  If you want to add some system specific defines, it's probably more
#  appropriate to put them into `config.h'.
DEFINES = -DHEXER_VERSION=\"0.1.5\"

#  -- Which compiler? --
CC ?= cc
CFLAGS ?= -O
CFLAGS += $(DEFINES)
LDFLAGS ?=
LDLIBS = $(LTERMCAP) -lm
#
#  Uncomment the following lines if you want to use the GNU compiler.
#CC = gcc
#CFLAGS = -O6 $(DEFINES)
#LDFALGS =
#LDLIBS = $(LTERMCAP)

#  -- Which installer? --
INSTALL ?= install
INSTALLBIN ?= $(INSTALL) -s
INSTALLMAN ?= $(INSTALL) -m 644
#
#  Uncomment these if you don't have an installer.
#INSTALL = cp
#INSTALLBIN = $(INSTALL)
#INSTALLMAN = $(INSTALL)

###  It shouldn't be necessary to change anything below this line.

HEXER = hexer
MYC = myc

CTAGS = ctags -tawf tags

OBJECTS = buffer.o tio.o edit.o main.o hexer.o readline.o regex.o port.o \
          exh.o set.o map.o signal.o util.o commands.o helptext.o calc.o \
	  $(LTERMLIB)

all: config.check $(HEXER)

config.check:
	@{  if [ ! -f config.h ]; then \
	      echo '***' Please read the file README on how to configure and; \
	      echo '***' compile hexer.\  Thank you.; \
	      exit 1; \
	    fi; }

$(HEXER): $(OBJECTS)
	$(CC) $(LDFLAGS) -o $@ $(OBJECTS) $(LDLIBS)

$(MYC): calc.c
	$(CC) $(LDFLAGS) $(CFLAGS) -DMYCALC=1 -o $@ calc.c -lm

bin2c: bin2c.c
	$(CC) $(CFLAGS) -o $@ bin2c.c

helptext.c: help.txt bin2c
	./bin2c -n helptext -o $@ help.txt

tags: *.c *.h
	-@{ \
	  echo Creating tags...; \
	  rm -f tags; \
	  for i in *.c *.h; do \
            echo $(CTAGS) $$i; \
	    $(CTAGS) $$i; \
	  done; \
	}

dep: depend

depend: *.c *.h
	-rm -f Makefile~
	sed '/\#\#\# DO NOT DELETE THIS LINE \#\#\#/q' \
	  < Makefile > Makefile~
	-echo >> Makefile~
	-echo '#' Dependencies: >> Makefile~
	-echo >> Makefile~
	@{ for i in *.c; do \
	      if [ "$$i" != 'termlib.c' ]; then \
	      echo $(CC) -MM $(CINCLUDE) $(CFLAGS) $$i '>>' Makefile~; \
	      $(CC) -MM $(CINCLUDE) $(CFLAGS) $$i >> Makefile~; \
	      fi \
	    done; }
	-echo >> Makefile~
	mv -f Makefile~ Makefile
	-touch depend

clean:
	rm -f $(HEXER) $(MYC) gen_testfile $(OBJECTS) bin2c
	rm -f helptext.c TESTFILE
	rm -f tags core *.bak

distclean: clean
	rm -f *~
	sed '/\#\#\# DO NOT DELETE THIS LINE \#\#\#/q' \
	  < Makefile > Makefile~
	echo >> Makefile~
	mv -f Makefile~ Makefile
	rm -f depend

install: all
	$(INSTALLBIN) $(HEXER) $(DESTDIR)$(BINDIR)
	$(INSTALLMAN) $(HEXER).1 $(DESTDIR)$(MANDIR)
	[ ! -f $(MYC) ] || $(INSTALLBIN) $(MYC) $(DESTDIR)$(BINDIR)
	[ ! -f $(MYC) ] || $(INSTALLMAN) $(MYC).1 $(DESTDIR)$(MANDIR)

### DO NOT DELETE THIS LINE ###

=== debian/changelog ===
hexer (0.1.5-3) unstable; urgency=low

  * Fix the FTBFS on GNU/kFreeBSD.
  * Convert several shell output assignments from = to :=
  * Switch to bzip2 compression for the Debian tarball.
  * Switch to Git and point the Vcs-* fields to Gitorious.

 -- Peter Pentchev <roam@ringlet.net>  Sat, 16 Oct 2010 15:45:53 +0300

hexer (0.1.5-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.1 with no changes.
  * Convert to the 3.0 (quilt) source format with no changes.
  * Use dpkg-buildflags from dpkg-dev 1.15.7 to get the default values for
    CFLAGS, CPPFLAGS, and LDFLAGS.
  * Update the copyright file to the latest DEP 5 format and bump the year
    on my copyright notice.
  * Shorten the Vcs-Browser URL.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 27 Jul 2010 13:00:19 +0300

hexer (0.1.5-1) unstable; urgency=low

  * New upstream release:
    - I adopted the upstream package, too
    - all the patches were integrated upstream
    - the installation directories need to be passed in the environment
    - lots of cleanup
    - fix a crash due to abuse of the v*printf() routines (Closes: #540571)
  * No longer use quilt, drop the README.source file.
  * Add a Homepage field now that I'm providing one :)
  * Use the build hardening wrapper if the "hardening" option is enabled.
  * Bump Standards-Version to 3.8.3 with no changes.
  * Point the watch file and the copyright file to the new upstream page.
  * Update the copyright file.
  * Use the DEP 5 format for the copyright file header.

 -- Peter Pentchev <roam@ringlet.net>  Fri, 04 Sep 2009 14:46:46 +0300

hexer (0.1.4c-3) unstable; urgency=low

  * New maintainer.  Closes: #520635
  * Use quilt for patch management.
  * Drop the README patch; with all due respect to Peter Mathiasson,
    in my humble opinion this information is addressed to developers,
    not end-users, and thus belongs right here, in the Debian changelog
    instead.
  * Add a watch file.
  * Fix up the manual page a bit:
    - use .\" instead of ./" for comments
    - properly use hyphens instead of minus-signs
  * Flesh out the long description with a list of hexer features.
  * Unbreak the "comment" and "argument" words in the help text to
    avoid spellcheck warnings from lintian.
  * Add the Vcs-Svn and Vcs-Browser fields.
  * Bump the debhelper compatibility version to 7:
    - add misc:Depends to the binary package
    - minimize the rules file
  * Bump Standards-Version to 3.8.1:
    - replace Apps with Applications in the menu section
    - honor the "nostrip" build option; Closes: #437160
    - override the compiler program and flags so the "noopt" build option
      is also honored
    - add the README.source file mentioning the use of quilt
  * Convert the copyright file to the machine-parseable format and
    add my copyright notice on the Debian packaging.
  * Build with -Werror if "werror" is specified in DEB_BUILD_OPTIONS.
  * Fix some compiler warnings.
  * Quote the "needs" and "section" menu file fields and install the file.

 -- Peter Pentchev <roam@ringlet.net>  Fri, 03 Apr 2009 14:10:28 +0300

hexer (0.1.4c-2) unstable; urgency=low

  * Removed use of obsoleted symbols sys_errlist and sys_nerr.
  * Fixed bug in bin2c; getopt returns an int, not a char.

 -- Peter Mathiasson <peterm@debian.org>  Thu, 19 Jun 2003 09:48:34 +0200

hexer (0.1.4c-1) unstable; urgency=low

  * Initial Release.

 -- Peter Mathiasson <peterm@debian.org>  Mon,  9 Jun 2003 12:42:29 +0200

=== debian/control ===
Source: hexer
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.15.7~), hardening-wrapper,
	libncurses5-dev
DM-Upload-Allowed: yes
Standards-Version: 3.9.1
Homepage: http://devel.ringlet.net/editors/hexer/
Vcs-Git: git://gitorious.org/hexer/pkg-debian.git
Vcs-Browser: http://gitorious.org/hexer/pkg-debian

Package: hexer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: An interactive binary editor with a Vi-like interface
 Hexer is an interactive binary editor (also known as a hexeditor)
 with a Vi-like interface.  Its most important features are
 multiple buffers, multi-level undo, command-line editing with
 completion, and binary regular expressions.

=== debian/rules ===
#!/usr/bin/make -f
# debhelper rules file for hexer.

CFLAGS:=	$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=	$(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS:=	$(shell dpkg-buildflags --get LDFLAGS)
DEB_BUILD_ARCH:=	$(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq (,$(findstring kfreebsd,$(DEB_BUILD_ARCH)))
	CFLAGS+=	-DBSD
endif
ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
	CFLAGS+=	-Werror
endif
ifneq (,$(filter hardening,$(DEB_BUILD_OPTIONS)))
export DEB_BUILD_HARDENING=1
else
export DEB_BUILD_HARDENING=0
endif
export CFLAGS CPPFLAGS LDFLAGS

override_dh_auto_configure:
	cp -f config.linux config.h

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr MANDIR=/usr/share/man/man1

%:
	dh $@

## hexer 0.1.6

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-#  Makefile for hexer version 0.1.5
+#  Makefile for hexer version 0.1.6
 
 #  Copyright (c) 1995,1996 Sascha Demetrio
-#  Copyright (c) 2009 Peter Pentchev
+#  Copyright (c) 2009, 2010 Peter Pentchev
 
 #  It might be helpful to read the `README'-file first.
 
@@ -30,7 +30,7 @@
 
 #  If you want to add some system specific defines, it's probably more
 #  appropriate to put them into `config.h'.
-DEFINES = -DHEXER_VERSION=\"0.1.5\"
+DEFINES = -DHEXER_VERSION=\"0.1.6\"
 
 #  -- Which compiler? --
 CC ?= cc

=== debian/changelog ===
hexer (0.1.6-2) unstable; urgency=low

  * Update the copyright file to the latest DEP 5 candidate format and
    bump the year on my copyright notice.
  * Remove the leading article from the short description.
  * Upload to unstable.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 01 Mar 2011 15:13:25 +0200

hexer (0.1.6-1) experimental; urgency=low

  * New upstream release.
  * Use build hardening by default unless the "nohardening" build option
    is specified, and use hardening-includes instead of the hardening-wrapper
    so the hardened flags are visible in CFLAGS and LDFLAGS.
  * Bump the debhelper compatibility level to 8 with no changes.

 -- Peter Pentchev <roam@ringlet.net>  Wed, 29 Dec 2010 13:24:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Peter Pentchev <roam@ringlet.net>
-Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.15.7~), hardening-wrapper,
+Build-Depends: debhelper (>> 8), dpkg-dev (>= 1.15.7~),
+	hardening-includes,
 	libncurses5-dev
 DM-Upload-Allowed: yes
 Standards-Version: 3.9.1
@@ -13,7 +14,7 @@
 Package: hexer
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: An interactive binary editor with a Vi-like interface
+Description: interactive binary editor with a Vi-like interface
  Hexer is an interactive binary editor (also known as a hexeditor)
  with a Vi-like interface.  Its most important features are
  multiple buffers, multi-level undo, command-line editing with

## hexer 0.1.7

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-#  Makefile for hexer version 0.1.6
+#  Makefile for hexer version 0.1.7
 
 #  Copyright (c) 1995,1996 Sascha Demetrio
-#  Copyright (c) 2009, 2010 Peter Pentchev
+#  Copyright (c) 2009 - 2011 Peter Pentchev
 
 #  It might be helpful to read the `README'-file first.
 
@@ -30,7 +30,7 @@
 
 #  If you want to add some system specific defines, it's probably more
 #  appropriate to put them into `config.h'.
-DEFINES = -DHEXER_VERSION=\"0.1.6\"
+DEFINES = -DHEXER_VERSION=\"0.1.7\"
 
 #  -- Which compiler? --
 CC ?= cc

=== debian/changelog ===
hexer (0.1.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Thibaut Girka ]
  * debian/patches/negative_size.patch:
    - Fix crash when attempting to delete an half-byte while in insert
      or replace mode (Closes: #655470).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 05 Aug 2012 20:28:16 +0200

hexer (0.1.7-1) unstable; urgency=low

  * New upstream release:
    - fix searching for octets > 127.  Closes: #633508
  * Depend on the unversioned libncurses-dev virtual package.
  * Bump Standards-Version to 3.9.2 with no changes.
  * Update the copyright file to the latest DEP 5 candidate format and
    fix the DEP 5 URL after the Alioth migration.
  * Specify Multi-Arch: foreign for the binary package.

 -- Peter Pentchev <roam@ringlet.net>  Wed, 13 Jul 2011 22:55:48 +0300

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Maintainer: Peter Pentchev <roam@ringlet.net>
 Build-Depends: debhelper (>> 8), dpkg-dev (>= 1.15.7~),
 	hardening-includes,
-	libncurses5-dev
+	libncurses-dev
 DM-Upload-Allowed: yes
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://devel.ringlet.net/editors/hexer/
 Vcs-Git: git://gitorious.org/hexer/pkg-debian.git
 Vcs-Browser: http://gitorious.org/hexer/pkg-debian
 
 Package: hexer
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: interactive binary editor with a Vi-like interface
  Hexer is an interactive binary editor (also known as a hexeditor)

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,13 @@
 ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
 	CFLAGS+=	-Werror
 endif
-ifneq (,$(filter hardening,$(DEB_BUILD_OPTIONS)))
-export DEB_BUILD_HARDENING=1
-else
-export DEB_BUILD_HARDENING=0
+
+include /usr/share/hardening-includes/hardening.make
+ifeq (,$(filter nohardening,$(DEB_BUILD_OPTIONS)))
+CFLAGS+=	$(HARDENING_CFLAGS)
+LDFLAGS+=	$(HARDENING_LDFLAGS)
 endif
+
 export CFLAGS CPPFLAGS LDFLAGS
 
 override_dh_auto_configure:

=== debian/watch ===
version=3
http://devel.ringlet.net/editors/hexer/ hexer-([\w\d.]+)\.tar\.gz

## hexer 0.1.8

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-#  Makefile for hexer version 0.1.7
+#  Makefile for hexer version 0.1.8
 
 #  Copyright (c) 1995,1996 Sascha Demetrio
-#  Copyright (c) 2009 - 2011 Peter Pentchev
+#  Copyright (c) 2009 - 2011, 2014 Peter Pentchev
 
 #  It might be helpful to read the `README'-file first.
 
@@ -30,18 +30,17 @@
 
 #  If you want to add some system specific defines, it's probably more
 #  appropriate to put them into `config.h'.
-DEFINES = -DHEXER_VERSION=\"0.1.7\"
+CPPFLAGS += -DHEXER_VERSION=\"0.1.8\"
 
 #  -- Which compiler? --
 CC ?= cc
 CFLAGS ?= -O
-CFLAGS += $(DEFINES)
 LDFLAGS ?=
 LDLIBS = $(LTERMCAP) -lm
 #
 #  Uncomment the following lines if you want to use the GNU compiler.
 #CC = gcc
-#CFLAGS = -O6 $(DEFINES)
+#CFLAGS = -O6
 #LDFALGS =
 #LDLIBS = $(LTERMCAP)
 
@@ -54,6 +53,8 @@
 #INSTALL = cp
 #INSTALLBIN = $(INSTALL)
 #INSTALLMAN = $(INSTALL)
+
+MKDIR ?= mkdir -p
 
 ###  It shouldn't be necessary to change anything below this line.
 
@@ -79,10 +80,10 @@
 	$(CC) $(LDFLAGS) -o $@ $(OBJECTS) $(LDLIBS)
 
 $(MYC): calc.c
-	$(CC) $(LDFLAGS) $(CFLAGS) -DMYCALC=1 -o $@ calc.c -lm
+	$(CC) $(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -DMYCALC=1 -o $@ calc.c -lm
 
 bin2c: bin2c.c
-	$(CC) $(CFLAGS) -o $@ bin2c.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ bin2c.c
 
 helptext.c: help.txt bin2c
 	./bin2c -n helptext -o $@ help.txt
@@ -108,8 +109,8 @@
 	-echo >> Makefile~
 	@{ for i in *.c; do \
 	      if [ "$$i" != 'termlib.c' ]; then \
-	      echo $(CC) -MM $(CINCLUDE) $(CFLAGS) $$i '>>' Makefile~; \
-	      $(CC) -MM $(CINCLUDE) $(CFLAGS) $$i >> Makefile~; \
+	      echo $(CC) -MM $(CPPFLAGS) $$i '>>' Makefile~; \
+	      $(CC) -MM $(CPPFLAGS) $$i >> Makefile~; \
 	      fi \
 	    done; }
 	-echo >> Makefile~
@@ -130,6 +131,7 @@
 	rm -f depend
 
 install: all
+	$(MKDIR) $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR)
 	$(INSTALLBIN) $(HEXER) $(DESTDIR)$(BINDIR)
 	$(INSTALLMAN) $(HEXER).1 $(DESTDIR)$(MANDIR)
 	[ ! -f $(MYC) ] || $(INSTALLBIN) $(MYC) $(DESTDIR)$(BINDIR)

=== debian/changelog ===
hexer (0.1.8-1) unstable; urgency=medium

  * Acknowledge the NMU; thanks, Thibaut and Luca!
  * Switch to debhelper 9:
    - get the dpkg-buildflags information from debhelper, drop the build
      dependency on dpkg-dev
    - get the hardening flags from debhelper, drop the build dependency
      on hardening-includes
    - append -DBSD to CPPFLAGS, not CFLAGS
  * Add --as-needed to the linker flags so that hexer is not needlessly
    linked against libncurses when it only seems to need libtinfo.
  * Update the copyright file:
    - bring it up to the final version of the 1.0 format specification
    - add the header License field
    - bump my Debian packaging copyright year
  * Remove the obsolete DM-Upload-Allowed source control field.
  * Bump Standards-Version to 3.9.6 with no changes.
  * Do not install the README file; it documents the installation only.
    Thus, drop the debian/docs file.
  * Drop the source compression options; dpkg-dev's defaults are good enough.
  * Let the watch file look for *.tar.bz2 release tarballs.
  * Add the upstream PGP public key (mine) and let uscan verify the signature.
  * New upstream version:
    - drop the negative_size patch, applied upstream
    - drop the debian/dirs file, directory creation is handled upstream now
    - update the upstream copyright years
  * Add the 01-pager patch to allow the default pager program to be
    overridden at build time and set it to "pager" in debian/rules.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 25 Sep 2014 14:48:11 +0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Peter Pentchev <roam@ringlet.net>
-Build-Depends: debhelper (>> 8), dpkg-dev (>= 1.15.7~),
-	hardening-includes,
-	libncurses-dev
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>> 9), libncurses-dev
+Standards-Version: 3.9.6
 Homepage: http://devel.ringlet.net/editors/hexer/
 Vcs-Git: git://gitorious.org/hexer/pkg-debian.git
 Vcs-Browser: http://gitorious.org/hexer/pkg-debian

=== debian/rules ===
#!/usr/bin/make -f
# debhelper rules file for hexer.

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all
export DEB_BUILD_MAINT_OPTIONS

DEB_CFLAGS_MAINT_APPEND=
DEB_CPPFLAGS_MAINT_APPEND=	-DHE_DEFAULT_PAGER=\"pager\"
export DEB_CPPFLAGS_MAINT_APPEND DEB_CFLAGS_MAINT_APPEND

DEB_BUILD_ARCH:=	$(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq (,$(findstring kfreebsd,$(DEB_BUILD_ARCH)))
	DEB_CPPFLAGS_MAINT_APPEND+=	-DBSD
endif
ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
	DEB_CFLAGS_MAINT_APPEND+=	-Werror
endif

DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export DEB_LDFLAGS_MAINT_APPEND

override_dh_auto_configure:
	cp -f config.linux config.h

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr MANDIR=/usr/share/man/man1

%:
	dh $@

## hexer 0.2.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-#  Makefile for hexer version 0.1.8
+#  Makefile for hexer version 0.2.3
 
 #  Copyright (c) 1995,1996 Sascha Demetrio
-#  Copyright (c) 2009 - 2011, 2014 Peter Pentchev
+#  Copyright (c) 2009 - 2011, 2014, 2015 Peter Pentchev
 
 #  It might be helpful to read the `README'-file first.
 
@@ -28,9 +28,12 @@
 #LTERMLIB = termlib.o
 #LTERMCAP =
 
+CPPFLAGS_STD ?= -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 \
+		-D_FILE_OFFSET_BITS=64
+
 #  If you want to add some system specific defines, it's probably more
 #  appropriate to put them into `config.h'.
-CPPFLAGS += -DHEXER_VERSION=\"0.1.8\"
+CPPFLAGS += $(CPPFLAGS_STD) -DHEXER_VERSION=\"0.2.3\"
 
 #  -- Which compiler? --
 CC ?= cc

=== debian/changelog ===
hexer (0.2.3-1) unstable; urgency=medium

  * Point Vcs-Git and Vcs-Browser at GitLab.
  * New upstream release:
    - fix a FTBFS by using sigemptyset() instead of assigning to
      a sigset_t value directly.  Closes: #788740
    - fix a crash when undoing more than 64 changes at once.
      Closes: #784809
    - drop the 01-pager patch, applied upstream
    - update the upstream copyright years
    - update the upstream copyright notice after fixing a typo
      found by Jakub Wilk <jwilk@debian.org>
    - add -std=c99 to the C compiler flags in debian/rules since
      the upstream source was modernized a bit
  * Bump my Debian packaging notice copyright year and change
    the BSD-3 license name to BSD-3-clause.
  * Build with a whole slew of C compiler warning flags.
  * Add -pipe to the C compiler flags to speed up the build a bit.
  * Add --parallel to the debhelper invocation.
  * Add the debian/upstream/metadata file.
  * Fix the resitribute -> redistribute typo in the copyright file.
    Reported by: Jakub Wilk <jwilk@debian.org>

 -- Peter Pentchev <roam@ringlet.net>  Thu, 10 Dec 2015 22:46:56 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: debhelper (>> 9), libncurses-dev
 Standards-Version: 3.9.6
 Homepage: http://devel.ringlet.net/editors/hexer/
-Vcs-Git: git://gitorious.org/hexer/pkg-debian.git
-Vcs-Browser: http://gitorious.org/hexer/pkg-debian
+Vcs-Git: https://gitlab.com/hexer/pkg-debian.git
+Vcs-Browser: https://gitlab.com/hexer/pkg-debian
 
 Package: hexer
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,11 @@
 DEB_BUILD_MAINT_OPTIONS=	hardening=+all
 export DEB_BUILD_MAINT_OPTIONS
 
-DEB_CFLAGS_MAINT_APPEND=
+DEB_CFLAGS_MAINT_APPEND=	-pipe -std=c99 \
+		-Wall -W -std=c99 -pedantic -Wbad-function-cast \
+		-Wcast-align -Wcast-qual -Winline \
+		-Wmissing-prototypes -Wnested-externs \
+		-Wredundant-decls -Wstrict-prototypes -Wwrite-strings
 DEB_CPPFLAGS_MAINT_APPEND=	-DHE_DEFAULT_PAGER=\"pager\"
 export DEB_CPPFLAGS_MAINT_APPEND DEB_CFLAGS_MAINT_APPEND
 
@@ -28,4 +32,4 @@
 	dh_auto_install -- PREFIX=/usr MANDIR=/usr/share/man/man1
 
 %:
-	dh $@
+	dh $@ --parallel

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://devel.ringlet.net/editors/hexer/ hexer-([\w\d.]+)\.tar\.bz2

## hexer 1.0.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-#  Makefile for hexer version 0.2.3
+#  Makefile for hexer version 1.0.3
 
 #  Copyright (c) 1995,1996 Sascha Demetrio
-#  Copyright (c) 2009 - 2011, 2014, 2015 Peter Pentchev
+#  Copyright (c) 2009 - 2011, 2014 - 2016 Peter Pentchev
 
 #  It might be helpful to read the `README'-file first.
 
@@ -15,25 +15,18 @@
 #  -- Which terminal library? --
 #  (It's probably save to leave the following lines unchanged.)
 #
-#  Use the following two lines, if you want to use the termcap-library.
-#LTERMLIB ?=
+#  Use the following line if you want to use the termcap library.
 #LTERMCAP ?= -ltermcap
 #
-#  Uncomment these if you want to use curses.
-LTERMLIB ?=
+#  ...or this one if you want to use curses.
 LTERMCAP ?= -lcurses
-#
-#  Uncomment the following two lines if you want to use the termlib code
-#  supplied with the package (not recommended).
-#LTERMLIB = termlib.o
-#LTERMCAP =
 
 CPPFLAGS_STD ?= -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 \
 		-D_FILE_OFFSET_BITS=64
 
 #  If you want to add some system specific defines, it's probably more
 #  appropriate to put them into `config.h'.
-CPPFLAGS += $(CPPFLAGS_STD) -DHEXER_VERSION=\"0.2.3\"
+CPPFLAGS += $(CPPFLAGS_STD) -DHEXER_VERSION=\"1.0.3\"
 
 #  -- Which compiler? --
 CC ?= cc
@@ -67,22 +60,14 @@
 CTAGS = ctags -tawf tags
 
 OBJECTS = buffer.o tio.o edit.o main.o hexer.o readline.o regex.o port.o \
-          exh.o set.o map.o signal.o util.o commands.o helptext.o calc.o \
-	  $(LTERMLIB)
+          exh.o set.o map.o signal.o util.o commands.o helptext.o calc.o
 
-all: config.check $(HEXER)
-
-config.check:
-	@{  if [ ! -f config.h ]; then \
-	      echo '***' Please read the file README on how to configure and; \
-	      echo '***' compile hexer.\  Thank you.; \
-	      exit 1; \
-	    fi; }
+all: $(HEXER)
 
 $(HEXER): $(OBJECTS)
 	$(CC) $(LDFLAGS) -o $@ $(OBJECTS) $(LDLIBS)
 
-$(MYC): calc.c
+$(MYC): calc.c config.h
 	$(CC) $(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -DMYCALC=1 -o $@ calc.c -lm
 
 bin2c: bin2c.c
@@ -90,6 +75,52 @@
 
 helptext.c: help.txt bin2c
 	./bin2c -n helptext -o $@ help.txt
+
+.c.o:	config.h
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<
+
+%.o:	%.c config.h
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<
+
+config.h:
+	[ ! -e config.h.auto ] || rm config.h.auto
+	echo "/* Autogenerated by Makefile and config-test.c */" > config.h.auto
+	for item in \
+		SIGTYPE_INT	\
+		ALLOCA_H	\
+		VASPRINTF	\
+	    ; do \
+		echo "Testing for $$item"; \
+		if $(CC) $(CPPFLAGS) $(CFLAGS) -D"TEST_$$item" -c -o config-test.o -Werror config-test.c; then \
+			value=1; \
+		else \
+			value=0; \
+		fi; \
+		echo "- result: $$value"; \
+		printf "\\n#define HAVE_%s\\t%d\\n" "$$item" "$$value" >> config.h.auto; \
+	done
+	
+	# These configuration settings are deprecated; hexer expects
+	# a POSIX environment that provides these functions and
+	# header files.  If the build breaks or hexer doesn't run
+	# properly, try moving some of these to the upper section so
+	# the configuration stage can actually check for them; please
+	# also let the author know what your operating system, platform,
+	# and build environment is.
+	#
+	for item in \
+		STRCMP		\
+		STRCASECMP	\
+		MEMMOVE		\
+		FLOAT_H		\
+		STRERROR	\
+	    ; do \
+		echo "Assuming $$item is present"; \
+		printf "\\n/* Assumed; please let the author know if the build breaks */\\n#define HAVE_%s\\t%d\\n" "$$item" 1 >> config.h.auto; \
+	done
+	
+	[ ! -e config.h ] || rm config.h
+	mv config.h.auto config.h
 
 tags: *.c *.h
 	-@{ \
@@ -103,7 +134,7 @@
 
 dep: depend
 
-depend: *.c *.h
+depend: *.c *.h config.h
 	-rm -f Makefile~
 	sed '/\#\#\# DO NOT DELETE THIS LINE \#\#\#/q' \
 	  < Makefile > Makefile~
@@ -111,10 +142,8 @@
 	-echo '#' Dependencies: >> Makefile~
 	-echo >> Makefile~
 	@{ for i in *.c; do \
-	      if [ "$$i" != 'termlib.c' ]; then \
 	      echo $(CC) -MM $(CPPFLAGS) $$i '>>' Makefile~; \
 	      $(CC) -MM $(CPPFLAGS) $$i >> Makefile~; \
-	      fi \
 	    done; }
 	-echo >> Makefile~
 	mv -f Makefile~ Makefile
@@ -122,6 +151,8 @@
 
 clean:
 	rm -f $(HEXER) $(MYC) gen_testfile $(OBJECTS) bin2c
+	rm -f config-test.o
+	rm -f config.h
 	rm -f helptext.c TESTFILE
 	rm -f tags core *.bak

=== debian/changelog ===
hexer (1.0.3-1) unstable; urgency=medium

  * Point the Vcs-* fields to my full-source GitLab repository.
  * Declare compliance with Debian Policy 3.9.8 with no changes;
    the menu file remains, since hexer has no icon for a desktop file.
  * Use the HTTPS scheme for various upstream and Debian-related URLs.
  * Update the copyright file a bit:
    - bump the year on my debian/* copyright notice
    - reformat all the sections with a single-space indent
    - leave only my contact details as upstream, with many thanks to
      Sascha Demetrio for writing and maintaining hexer over the years!
  * Update the watch file a bit:
    - convert it to format version 4
    - switch back to pgpsigurlmangle; pgpmode=auto will silently fail
      on missing signature files, and pgpmode=next/previous is a bit
      too verbose
    - reflect the new layout of the upstream site
    - use the version 4 substitution variables
  * New upstream release:
    - config.h is autogenerated now, so no configure override
    - strerror(3) should be present on all Debian systems, so no -DBSD
    - update the upstream copyright years
  * Drop a duplicate -std=c99 from the C compiler flags.
  * Handle release candidate versions in the watch file.
  * Drop the handling of the non-standard "werror" build option from
    the rules file.
  * Bump the debhelper compatibility level to 10 and drop the --parallel
    option since it is the default now.

 -- Peter Pentchev <roam@ringlet.net>  Wed, 09 Nov 2016 14:05:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Peter Pentchev <roam@ringlet.net>
-Build-Depends: debhelper (>> 9), libncurses-dev
-Standards-Version: 3.9.6
-Homepage: http://devel.ringlet.net/editors/hexer/
-Vcs-Git: https://gitlab.com/hexer/pkg-debian.git
-Vcs-Browser: https://gitlab.com/hexer/pkg-debian
+Build-Depends: debhelper (>= 10), libncurses-dev
+Standards-Version: 3.9.8
+Homepage: https://devel.ringlet.net/editors/hexer/
+Vcs-Git: https://gitlab.com/hexer/hexer.git -b debian
+Vcs-Browser: https://gitlab.com/hexer/hexer/tree/debian
 
 Package: hexer
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# debhelper rules file for hexer.

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all
export DEB_BUILD_MAINT_OPTIONS

DEB_CFLAGS_MAINT_APPEND=	-pipe -std=c99 \
		-Wall -W -pedantic -Wbad-function-cast \
		-Wcast-align -Wcast-qual -Winline \
		-Wmissing-prototypes -Wnested-externs \
		-Wredundant-decls -Wstrict-prototypes -Wwrite-strings
DEB_CPPFLAGS_MAINT_APPEND=	-DHE_DEFAULT_PAGER=\"pager\"
export DEB_CPPFLAGS_MAINT_APPEND DEB_CFLAGS_MAINT_APPEND

DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export DEB_LDFLAGS_MAINT_APPEND

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr MANDIR=/usr/share/man/man1

%:
	dh $@

## hexer 1.0.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-#  Makefile for hexer version 1.0.3
+#  Makefile for hexer version 1.0.4
 
 #  Copyright (c) 1995,1996 Sascha Demetrio
-#  Copyright (c) 2009 - 2011, 2014 - 2016 Peter Pentchev
+#  Copyright (c) 2009 - 2011, 2014 - 2016, 2018 Peter Pentchev
 
 #  It might be helpful to read the `README'-file first.
 
@@ -26,10 +26,11 @@
 
 #  If you want to add some system specific defines, it's probably more
 #  appropriate to put them into `config.h'.
-CPPFLAGS += $(CPPFLAGS_STD) -DHEXER_VERSION=\"1.0.3\"
+CPPFLAGS += $(CPPFLAGS_STD) -DHEXER_VERSION=\"1.0.4\"
 
 #  -- Which compiler? --
 CC ?= cc
+CC_FOR_BUILD ?= $(CC)
 CFLAGS ?= -O
 LDFLAGS ?=
 LDLIBS = $(LTERMCAP) -lm
@@ -71,7 +72,7 @@
 	$(CC) $(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -DMYCALC=1 -o $@ calc.c -lm
 
 bin2c: bin2c.c
-	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ bin2c.c
+	$(CC_FOR_BUILD) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ bin2c.c
 
 helptext.c: help.txt bin2c
 	./bin2c -n helptext -o $@ help.txt

=== debian/changelog ===
hexer (1.0.4-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.4 with no changes.
  * Bump the year on my debian/* copyright notice.
  * Add "Rules-Requires-Root: no" to the source control stanza.
  * Bump the debhelper compatibility level to 11 with no changes and
    use the B-D: debhelper-compat (= 11) mechanism.
  * New upstream version:
    - update the upstream copyright years
    - pass the CC_FOR_BUILD variable to fix the FTCBFS for bin2c.
      Closes: #893958
  * Use my Debian e-mail address.
  * Drop a blank line at the end of the changelog file.

 -- Peter Pentchev <roam@debian.org>  Sun, 03 Jun 2018 01:31:16 +0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: hexer
 Section: utils
 Priority: optional
-Maintainer: Peter Pentchev <roam@ringlet.net>
-Build-Depends: debhelper (>= 10), libncurses-dev
-Standards-Version: 3.9.8
+Maintainer: Peter Pentchev <roam@debian.org>
+Build-Depends: debhelper-compat (= 11), libncurses-dev
+Standards-Version: 4.1.4
 Homepage: https://devel.ringlet.net/editors/hexer/
 Vcs-Git: https://gitlab.com/hexer/hexer.git -b debian
 Vcs-Browser: https://gitlab.com/hexer/hexer/tree/debian
+Rules-Requires-Root: no
 
 Package: hexer
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,8 @@
 #!/usr/bin/make -f
 # debhelper rules file for hexer.
+
+-include /usr/share/dpkg/buildtools.mk
+export CC_FOR_BUILD ?= cc
 
 # Aim for the top, adapt if anything should break on the buildds.
 DEB_BUILD_MAINT_OPTIONS=	hardening=+all

## hexer 1.0.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#  Makefile for hexer version 1.0.4
+#  Makefile for hexer version 1.0.5
 
 #  Copyright (c) 1995,1996 Sascha Demetrio
 #  Copyright (c) 2009 - 2011, 2014 - 2016, 2018 Peter Pentchev
@@ -7,7 +7,7 @@
 
 #  -- Where? --
 #  The following lines determine where the binaries and manual pages for
-#  hexer are gonna live.
+#  hexer are going to live.
 PREFIX ?= /usr/local
 BINDIR ?= $(PREFIX)/bin
 MANDIR ?= $(PREFIX)/man/man1
@@ -26,7 +26,7 @@
 
 #  If you want to add some system specific defines, it's probably more
 #  appropriate to put them into `config.h'.
-CPPFLAGS += $(CPPFLAGS_STD) -DHEXER_VERSION=\"1.0.4\"
+CPPFLAGS += $(CPPFLAGS_STD) -DHEXER_VERSION=\"1.0.5\"
 
 #  -- Which compiler? --
 CC ?= cc
@@ -60,7 +60,7 @@
 
 CTAGS = ctags -tawf tags
 
-OBJECTS = buffer.o tio.o edit.o main.o hexer.o readline.o regex.o port.o \
+OBJECTS = buffer.o tio.o edit.o main.o hexer.o readline.o regex.o \
           exh.o set.o map.o signal.o util.o commands.o helptext.o calc.o
 
 all: $(HEXER)
@@ -99,25 +99,6 @@
 		fi; \
 		echo "- result: $$value"; \
 		printf "\\n#define HAVE_%s\\t%d\\n" "$$item" "$$value" >> config.h.auto; \
-	done
-	
-	# These configuration settings are deprecated; hexer expects
-	# a POSIX environment that provides these functions and
-	# header files.  If the build breaks or hexer doesn't run
-	# properly, try moving some of these to the upper section so
-	# the configuration stage can actually check for them; please
-	# also let the author know what your operating system, platform,
-	# and build environment is.
-	#
-	for item in \
-		STRCMP		\
-		STRCASECMP	\
-		MEMMOVE		\
-		FLOAT_H		\
-		STRERROR	\
-	    ; do \
-		echo "Assuming $$item is present"; \
-		printf "\\n/* Assumed; please let the author know if the build breaks */\\n#define HAVE_%s\\t%d\\n" "$$item" 1 >> config.h.auto; \
 	done
 	
 	[ ! -e config.h ] || rm config.h

=== debian/changelog ===
hexer (1.0.5-3) unstable; urgency=medium

  * Switch to a DEP-14 debian/master branch.
  * Add the year 2019 to my debian/* copyright notice.
  * Add a simple git-buildpackage config file.

 -- Peter Pentchev <roam@debian.org>  Tue, 26 Feb 2019 23:32:06 +0200

hexer (1.0.5-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.3.0 with no changes.
  * Bump the debhelper compatibility level to 12 with no changes.

 -- Peter Pentchev <roam@debian.org>  Wed, 26 Dec 2018 01:45:56 +0200

hexer (1.0.5-1) unstable; urgency=medium

  * Use my Debian e-mail address in the copyright file, too.
  * Bring up to compliance with Debian Policy 4.2.1: install the upstream
    release notes (CHANGES) as NEWS and not changelog.
  * Drop the Lintian overrides related to B-D: debhelper-compat -
    Lintian 2.5.98 no longer emits these warnings and errors.
  * New upstream release.
  * Minimize the upstream signing key, only keep the roam@ringlet.net UID.

 -- Peter Pentchev <roam@debian.org>  Sat, 15 Dec 2018 02:36:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Peter Pentchev <roam@debian.org>
-Build-Depends: debhelper-compat (= 11), libncurses-dev
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 12), libncurses-dev
+Standards-Version: 4.3.0
 Homepage: https://devel.ringlet.net/editors/hexer/
-Vcs-Git: https://gitlab.com/hexer/hexer.git -b debian
-Vcs-Browser: https://gitlab.com/hexer/hexer/tree/debian
+Vcs-Git: https://gitlab.com/hexer/hexer.git -b debian/master
+Vcs-Browser: https://gitlab.com/hexer/hexer/tree/debian/master
 Rules-Requires-Root: no
 
 Package: hexer

=== debian/rules ===
--- 
+++ 
@@ -22,5 +22,9 @@
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr MANDIR=/usr/share/man/man1
 
+override_dh_installchangelogs:
+	dh_installchangelogs -X CHANGES
+	install -m 644 CHANGES debian/hexer/usr/share/doc/hexer/NEWS
+
 %:
 	dh $@

## hexer 1.0.6

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-#  Makefile for hexer version 1.0.5
+#  Makefile for hexer version 1.0.6
 
 #  Copyright (c) 1995,1996 Sascha Demetrio
-#  Copyright (c) 2009 - 2011, 2014 - 2016, 2018 Peter Pentchev
+#  Copyright (c) 2009 - 2011, 2014 - 2016, 2018, 2020 Peter Pentchev
 
 #  It might be helpful to read the `README'-file first.
 
@@ -26,7 +26,7 @@
 
 #  If you want to add some system specific defines, it's probably more
 #  appropriate to put them into `config.h'.
-CPPFLAGS += $(CPPFLAGS_STD) -DHEXER_VERSION=\"1.0.5\"
+CPPFLAGS += $(CPPFLAGS_STD) -DHEXER_VERSION=\"1.0.6\"
 
 #  -- Which compiler? --
 CC ?= cc

=== debian/changelog ===
hexer (1.0.6-2) unstable; urgency=medium

  * Drop the gcc B-D that I added as a reminder that --as-needed is
    now the default; it may cause problems for porting and cross-building.
  * Declare compliance with Debian Policy 4.7.0 with no changes.
  * Add the years 2021 and 2024 to my debian/* copyright notice.
  * Explicitly specify dh-sequence-single-binary.
  * Add a simplified version of the upstream test suite, both
    at build time and as an autopkgtest.
  * Switch to debhelper compat level 14 and X-DH-Compat.
  * Let debhelper handle some dependencies automatically.
  * Use dpkg-build-api v1, buildtools.mk is included automatically.
  * Use dh-package-notes to record ELF metadata.
  * Use debputy's X-Style: black.

 -- Peter Pentchev <roam@debian.org>  Sat, 14 Dec 2024 15:34:50 +0200

hexer (1.0.6-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.5.0 with no changes.
  * Add the year 2020 to my debian/* copyright notice.
  * Bump the debhelper compat level to 13 with no changes.
  * Drop the "Name" and "Contact" upstream metadata fields.
  * Drop the linker's --as-needed flag, the GCC package in bullseye
    enables it by default. Just in case, add a recent version of
    "gcc" to the build dependencies so this is not forgotten in
    e.g. a backport.
  * New upstream version:
    - fixes the build with GCC 10
    - fixes some compiler warnings

 -- Peter Pentchev <roam@debian.org>  Fri, 24 Apr 2020 12:57:43 +0300

=== debian/control ===
Source: hexer
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper (>> 13.15.2~),
 dh-package-notes,
 dh-sequence-single-binary,
 dpkg-build-api (= 1),
 libncurses-dev,
 python3-libtmux <!nocheck>,
 python3-pytest <!nocheck>,
 python3:any <!nocheck>,
Standards-Version: 4.7.0
X-DH-Compat: 14
Homepage: https://devel.ringlet.net/editors/hexer/
Vcs-Git: https://gitlab.com/hexer/hexer.git -b debian/master
Vcs-Browser: https://gitlab.com/hexer/hexer/tree/debian/master
X-Style: black

Package: hexer
Architecture: any
Multi-Arch: foreign
Description: interactive binary editor with a Vi-like interface
 Hexer is an interactive binary editor (also known as a hexeditor)
 with a Vi-like interface.  Its most important features are
 multiple buffers, multi-level undo, command-line editing with
 completion, and binary regular expressions.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,9 @@
 #!/usr/bin/make -f
 # debhelper rules file for hexer.
 
--include /usr/share/dpkg/buildtools.mk
-export CC_FOR_BUILD ?= cc
+include /usr/share/dpkg/default.mk
+
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
 
 # Aim for the top, adapt if anything should break on the buildds.
 DEB_BUILD_MAINT_OPTIONS=	hardening=+all
@@ -16,11 +17,11 @@
 DEB_CPPFLAGS_MAINT_APPEND=	-DHE_DEFAULT_PAGER=\"pager\"
 export DEB_CPPFLAGS_MAINT_APPEND DEB_CFLAGS_MAINT_APPEND
 
-DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
-export DEB_LDFLAGS_MAINT_APPEND
+override_dh_auto_test:
+	env HEXER_PROG='${CURDIR}/hexer' python3 -m pytest -vv -- debian/tests/python/tests/unit
 
 override_dh_auto_install:
-	dh_auto_install -- PREFIX=/usr MANDIR=/usr/share/man/man1
+	dh_auto_install --destdir '${CURDIR}/debian/hexer' -- PREFIX=/usr MANDIR=/usr/share/man/man1
 
 override_dh_installchangelogs:
 	dh_installchangelogs -X CHANGES

=== debian/tests/control ===
Test-Command: python3 -m pytest -vv -- debian/tests/python/tests/unit
Depends:
 python3-libtmux,
 python3-pytest,
 python3:any,
 @,
Features:
 test-name=pytest,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/\.rc/~rc/ \
https://devel.ringlet.net/editors/hexer/ https://devel.ringlet.net/files/editors/hexer/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## hexer 1.0.7

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
-#  Makefile for hexer version 1.0.6
+#  Makefile for hexer version 1.0.7
 
-#  Copyright (c) 1995,1996 Sascha Demetrio
-#  Copyright (c) 2009 - 2011, 2014 - 2016, 2018, 2020 Peter Pentchev
+#  SPDX-FileCopyrightText: 1995,1996 Sascha Demetrio
+#  SPDX-FileCopyrightText: 2009 - 2011, 2014 - 2016, 2018, 2020 Peter Pentchev
+#  SPDX-License-Identifier: BSD-3-Clause
 
 #  It might be helpful to read the `README'-file first.
 
@@ -11,6 +12,7 @@
 PREFIX ?= /usr/local
 BINDIR ?= $(PREFIX)/bin
 MANDIR ?= $(PREFIX)/man/man1
+DOCSDIR ?= $(PREFIX)/share/doc/hexer
 
 #  -- Which terminal library? --
 #  (It's probably save to leave the following lines unchanged.)
@@ -24,14 +26,19 @@
 CPPFLAGS_STD ?= -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 \
 		-D_FILE_OFFSET_BITS=64
 
+# Tell the compiler that hexer uses C99 language features.
+# This is a GCC-specific option; adjust it for the compiler used if needed.
+CFLAGS_STD ?=	-std=c99
+
 #  If you want to add some system specific defines, it's probably more
 #  appropriate to put them into `config.h'.
-CPPFLAGS += $(CPPFLAGS_STD) -DHEXER_VERSION=\"1.0.6\"
+CPPFLAGS += $(CPPFLAGS_STD) -DHEXER_VERSION=\"1.0.7\"
 
 #  -- Which compiler? --
 CC ?= cc
 CC_FOR_BUILD ?= $(CC)
 CFLAGS ?= -O
+CFLAGS += ${CFLAGS_STD}
 LDFLAGS ?=
 LDLIBS = $(LTERMCAP) -lm
 #
@@ -147,9 +154,10 @@
 	rm -f depend
 
 install: all
-	$(MKDIR) $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR)
+	$(MKDIR) $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR) $(DESTDIR)$(DOCSDIR)/md
 	$(INSTALLBIN) $(HEXER) $(DESTDIR)$(BINDIR)
 	$(INSTALLMAN) $(HEXER).1 $(DESTDIR)$(MANDIR)
+	$(INSTALLMAN) docs/*.md $(DESTDIR)$(DOCSDIR)/md
 	[ ! -f $(MYC) ] || $(INSTALLBIN) $(MYC) $(DESTDIR)$(BINDIR)
 	[ ! -f $(MYC) ] || $(INSTALLMAN) $(MYC).1 $(DESTDIR)$(MANDIR)

=== debian/changelog ===
hexer (1.0.7-1) unstable; urgency=medium

  * Update debian/watch for the new upstream download page.
  * Declare compliance with Policy 4.7.2 with no changes.
  * Add the year 2025 to my debian/* copyright notice.
  * New upstream release:
    - the upstream changelog moved to docs/changes.md
    - upstream adopted the Python testsuite, but changed the default value for
      the `hexer` executable to `./hexer`; override it in the autopkgtest
    - upstream added some basic MkDocs documentation; install it
  * Convert the watch file to version 5 of the format.

 -- Peter Pentchev <roam@debian.org>  Mon, 22 Sep 2025 15:35:21 +0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-libtmux <!nocheck>,
  python3-pytest <!nocheck>,
  python3:any <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 X-DH-Compat: 14
 Homepage: https://devel.ringlet.net/editors/hexer/
 Vcs-Git: https://gitlab.com/hexer/hexer.git -b debian/master

=== debian/rules ===
--- 
+++ 
@@ -18,14 +18,14 @@
 export DEB_CPPFLAGS_MAINT_APPEND DEB_CFLAGS_MAINT_APPEND
 
 override_dh_auto_test:
-	env HEXER_PROG='${CURDIR}/hexer' python3 -m pytest -vv -- debian/tests/python/tests/unit
+	env HEXER_PROG='${CURDIR}/hexer' python3 -m pytest -vv -- python/tests/unit
 
 override_dh_auto_install:
-	dh_auto_install --destdir '${CURDIR}/debian/hexer' -- PREFIX=/usr MANDIR=/usr/share/man/man1
+	dh_auto_install --destdir '${CURDIR}/debian/hexer' -- PREFIX=/usr MANDIR=/usr/share/man/man1 DOCSDIR=/usr/share/doc/hexer
 
 override_dh_installchangelogs:
-	dh_installchangelogs -X CHANGES
-	install -m 644 CHANGES debian/hexer/usr/share/doc/hexer/NEWS
+	dh_installchangelogs -X changes.md
+	ln -s md/changes.md.gz debian/hexer/usr/share/doc/hexer/NEWS.gz
 
 %:
 	dh $@

=== debian/tests/control ===
Test-Command: env HEXER_PROG=hexer python3 -m pytest -vv -- python/tests/unit
Depends:
 python3-libtmux,
 python3-pytest,
 python3:any,
 @,
Features:
 test-name=pytest,
Restrictions:
 allow-stderr,

=== debian/watch ===
Version: 5

Source: https://devel.ringlet.net/editors/hexer/download/
Matching-Pattern: https://devel.ringlet.net/files/editors/hexer/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Uversion-Mangle: s/\.rc/~rc/
Pgp-Sig-Url-Mangle: s/$/.asc/
